List Teams
Endpoint used to list teams of Toolzz Chat.
Request Example
Section titled “Request Example”curl --request POST \ --url https://converflow.api.prod.toolzz.media/api/v1/chat/teams \ --header 'Authorization: Bearer TOKEN_HERE' \ --header 'Content-Type: application/json' \ --data '{ "infisicalReference": { "secretName": "<secretId>" }, "unitId": "uuid"}'Response Example
Section titled “Response Example”{ "data": [ { "id": 123, "name": "<string>" } ]}Request description
Section titled “Request description”Access Token
Section titled “Access Token”| Parameter | Type | Description | Required |
|---|---|---|---|
Authorization | String | Access token (“Bearer” must be before the token) | Yes |
Body Parameters
Section titled “Body Parameters”| Key | Type | Description | Required |
|---|---|---|---|
infisicalReference | Object | Object containing the pointing data for the secrets vault. | Yes |
infisicalReference.secretName | String | Secret ID stored in Infisical. | Yes |
unitId | UUID | Unique unit identifier. | Yes |
Note: The secretName is the secretId that can be found in the response of the endpoint Get Credentials by Integration.
Response description
Section titled “Response description”| Key | Type | Description |
|---|---|---|
data[] | Array | List of objects containing the departments linked to the unit. |
id | Number | Unique numeric identifier of the department. |
name | String | Name of the department or sector (e.g., “commercial”, “human resources”). |
Security
Section titled “Security”To access this endpoint, it is necessary to send a valid access token through the authorization header (Authorization) of the request. Additionally, the API is protected by other security measures to safeguard user data.
To access your access token, follow these steps:
- Log in to the ToolzzAI platform
- Click on “Settings”
- Click on “Access Token”
- Copy the access token
